Package org.gradle.api.artifacts

# Interface VersionCatalogsExtension

All Superinterfaces:
  `Iterable<VersionCatalog>`

public interface VersionCatalogsExtension extends Iterable<VersionCatalog>
Gives access to all version catalogs available.

Since:
  7.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<VersionCatalog>`
  `find(String name)`
  Tries to find a catalog with the corresponding name
  `Set<String>`
  `getCatalogNames()`
  Returns the list of catalog names
  `default VersionCatalog`
  `named(String name)`
  Returns the catalog with the supplied name or throws an exception if it doesn't exist.

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

- ## Method Details

  - ### find

    Optional<VersionCatalog> find(String name)
    Tries to find a catalog with the corresponding name
    Parameters:
      `name` - the name of the catalog

  - ### named

    default VersionCatalog named(String name)
    Returns the catalog with the supplied name or throws an exception if it doesn't exist.

  - ### getCatalogNames

    Set<String> getCatalogNames()
    Returns the list of catalog names
    Since:
      7.2